<?php

namespace Drupal\views_better_rest\Plugin\search_api\display;

use Drupal\search_api\Plugin\search_api\display\ViewsDisplayBase;
use Drupal\views\Entity\View;

/**
 * Represents a Views REST display.
 *
 * @SearchApiDisplay(
 *   id = "views_better_rest_export",
 *   views_display_type = "better_rest_export",
 *   deriver = "Drupal\search_api\Plugin\search_api\display\ViewsDisplayDeriver"
 * )
 */
class ViewsBetterRestNested extends ViewsDisplayBase {
  /**
   * {@inheritdoc}
   */
  public function isRenderedInCurrentRequest() {
    $plugin_definition = $this->getPluginDefinition();
    $current_route = $this->getCurrentRouteMatch();
    $view = $current_route->getParameter('view');
    if ($view instanceof View) {
      $executable = $view->getExecutable();
      if (
        $executable->live_preview &&
        $view->id() === $plugin_definition['view_id'] &&
        $executable->current_display === $plugin_definition['view_display']
      ) {
        return true;
      }
    }
    $view_id = $current_route->getParameter('view_id');
    $display_id = $current_route->getParameter('display_id');
    return $view_id === $plugin_definition['view_id'] &&
      $display_id === $plugin_definition['view_display'];
  }
}
